#!/bin/bash
set -evx
#
# Wrapper script to run monthly_pctl.sh# 
# 
# chloe Prodhomme (Mars 2014)
# wrapper for monthly_pctl.sh
# 
# >>>>>>>>>>>>>>>>>>>>>>>> User-defined parameters>>>>>>>>>>>>>>>
exptype="ecearth2.3" #or ENSEMBLES -> to add new type need to modify the script monthly_pctl.sh
NLT=4
monlst=11
explst=(b0gq)
varlst=tas
til=90
y1=1981
y2=2010
path_to_script=. 
cat $path_to_script/monthly_pctl.sh | sed -e "/^NLT/c\NLT=`echo "${NLT}"`" > tmp1.sh 
cat tmp1.sh | sed -e "/^monlst/c\monlst=(`echo "${monlst[@]}"`)" > tmp2.sh && rm tmp1.sh
cat tmp2.sh | sed -e "/^explst/c\explst=(`echo "${explst[@]}"`)" > tmp3.sh && rm tmp2.sh
cat tmp3.sh | sed -e "/^varlst/c\varlst=(`echo "${varlst[@]}"`)" > tmp4.sh && rm tmp3.sh
cat tmp4.sh | sed -e "/^til/c\til=`echo "${til}"`" > tmp5.sh && rm tmp4.sh
cat tmp5.sh | sed -e "/^y1/c\y1=`echo "${y1}"`" > tmp6.sh && rm tmp5.sh
cat tmp6.sh | sed -e "/^exptype/c\exptype=`echo "${exptype}"`" > tmp7.sh && rm tmp6.sh
cat tmp7.sh | sed -e "/^y2/c\y2=`echo "${y2}"`" > 6h-montil-${exptype}.sh && rm tmp7.sh
chmod 755 6h-montil-${exptype}.sh
./6h-montil-${exptype}.sh  >& 6h-montil-${exptype}.log 
